var restArguments = require('./index133.js');
var _flatten = require('./index15.js');
var filter = require('./index56.js');
var contains = require('./index44.js');

// Take the difference between one array and a number of other arrays.
// Only the elements present in just the first array will remain.
var difference = restArguments(function(array, rest) {
  rest = _flatten(rest, true, true);
  return filter(array, function(value){
    return !contains(rest, value);
  });
});

module.exports = difference;
