define(['./index95', './index80', './index54'], (function (isObject, isArray, extend) {

  // Create a (shallow-cloned) duplicate of an object.
  function clone(obj) {
    if (!isObject(obj)) return obj;
    return isArray(obj) ? obj.slice() : extend({}, obj);
  }

  return clone;

}));
