var restArguments = require('./index133.js');
var isFunction = require('./index91.js');
var negate = require('./index114.js');
var map = require('./index108.js');
var _flatten = require('./index15.js');
var contains = require('./index44.js');
var pick = require('./index122.js');

// Return a copy of the object without the disallowed properties.
var omit = restArguments(function(obj, keys) {
  var iteratee = keys[0], context;
  if (isFunction(iteratee)) {
    iteratee = negate(iteratee);
    if (keys.length > 1) context = keys[1];
  } else {
    keys = map(_flatten(keys, false, false), String);
    iteratee = function(value, key) {
      return !contains(keys, key);
    };
  }
  return pick(obj, iteratee, context);
});

module.exports = omit;
